slimit_0.8.1-1ubuntu1_all.deb


Advertisement

Description

slimit - JavaScript minifier/parser in Python

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name slimit
Package version 0.8.1
Package release 1ubuntu1
Package architecture all
Package type deb
Installed size 425 B
Download size 52.28 KB
Official Mirror archive.ubuntu.com
SlimIt is a JavaScript minifier written in Python. It compiles JavaScript
into more compact code so that it downloads and runs faster.
SlimIt also provides a library that includes a JavaScript parser, lexer,
pretty printer and a tree visitor.

Alternatives

Package Version Architecture Repository
slimit_0.8.1-1ubuntu1_all.deb 0.8.1 all Ubuntu Universe
slimit - - -

Requires

Name Value
python -
python-pkg-resources -
python-ply -
python:any << 2.8
python:any >= 2.7.5-5~

Download

Type URL
Binary Package slimit_0.8.1-1ubuntu1_all.deb
Source Package slimit

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install slimit deb package:
    # sudo apt-get install slimit

Files

Path
/usr/bin/slimit
/usr/lib/python2.7/dist-packages/slimit/__init__.py
/usr/lib/python2.7/dist-packages/slimit/ast.py
/usr/lib/python2.7/dist-packages/slimit/lexer.py
/usr/lib/python2.7/dist-packages/slimit/lextab.py
/usr/lib/python2.7/dist-packages/slimit/mangler.py
/usr/lib/python2.7/dist-packages/slimit/minifier.py
/usr/lib/python2.7/dist-packages/slimit/parser.py
/usr/lib/python2.7/dist-packages/slimit/scope.py
/usr/lib/python2.7/dist-packages/slimit/unicode_chars.py
/usr/lib/python2.7/dist-packages/slimit/yacctab.py
/usr/lib/python2.7/dist-packages/slimit-0.8.1.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/slimit-0.8.1.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/slimit-0.8.1.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/slimit-0.8.1.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/slimit-0.8.1.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/slimit-0.8.1.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/slimit/tests/__init__.py
/usr/lib/python2.7/dist-packages/slimit/tests/test_cmd.py
/usr/lib/python2.7/dist-packages/slimit/tests/test_ecmavisitor.py
/usr/lib/python2.7/dist-packages/slimit/tests/test_lexer.py
/usr/lib/python2.7/dist-packages/slimit/tests/test_mangler.py
/usr/lib/python2.7/dist-packages/slimit/tests/test_minifier.py
/usr/lib/python2.7/dist-packages/slimit/tests/test_nodevisitor.py
/usr/lib/python2.7/dist-packages/slimit/tests/test_parser.py
/usr/lib/python2.7/dist-packages/slimit/visitors/__init__.py
/usr/lib/python2.7/dist-packages/slimit/visitors/ecmavisitor.py
/usr/lib/python2.7/dist-packages/slimit/visitors/minvisitor.py
/usr/lib/python2.7/dist-packages/slimit/visitors/nodevisitor.py
/usr/lib/python2.7/dist-packages/slimit/visitors/scopevisitor.py
/usr/share/doc/slimit/README.rst.gz
/usr/share/doc/slimit/changelog.Debian.gz
/usr/share/doc/slimit/copyright

Changelog

2015-10-20 - LaMont Jones <lamont@canonical.com>
slimit (0.8.1-1ubuntu1) wily; urgency=medium
* buildsystem=pybuild  See also launchpad bug # 1415164
2013-05-08 - TANIGUCHI Takaki <takaki@debian.org>
slimit (0.8.1-1) unstable; urgency=low
[ Jakub Wilk ]
* Use canonical URIs for Vcs-* fields.
[ TANIGUCHI Takaki ]
* debian/watch: Update to new github source archive URL.
* New upstream release
+ Drop debian/patches/drop_depend_odict. upstream does not require.
2012-06-10 - TANIGUCHI Takaki <takaki@debian.org>
slimit (0.7.4-1) unstable; urgency=low
* New upstream release
2012-05-22 - TANIGUCHI Takaki <takaki@debian.org>
slimit (0.7.3-1) unstable; urgency=low
* New upstream release
2012-05-21 - TANIGUCHI Takaki <takaki@debian.org>
slimit (0.7.2-1) unstable; urgency=low
* New upstream release
2012-05-16 - TANIGUCHI Takaki <takaki@debian.org>
slimit (0.7.1-1) unstable; urgency=low
* New upstream release
* debian/control: Add python-pkg-resources to Depends.(Closes: #672915)
2012-04-19 - TANIGUCHI Takaki <takaki@debian.org>
slimit (0.7-1) unstable; urgency=low
* New upstream release
2012-04-09 - TANIGUCHI Takaki <takaki@debian.org>
slimit (0.6.2-1) unstable; urgency=low
* Initial release (Closes: #662756)

See Also

Package Description
slingshot_0.9-1_all.deb simple 2D shooting strategy game set in space, with gravity
slirp_1.0.17-8_i386.deb SLIP/PPP emulator using a dial up shell account
slmon_0.5.13-2.3build1_i386.deb A simple S-Lang based system performance monitor
sloccount_2.26-5.1_i386.deb programs for counting physical source lines of code (SLOC)
slony1-2-bin_2.2.4-3_i386.deb replication system for PostgreSQL: daemon and administration tools
slony1-2-doc_2.2.4-3_all.deb Slony-I documentation
slowhttptest_1.6-1_i386.deb application layer Denial of Service attacks simulation tool
slpd_1.2.1-11_i386.deb OpenSLP server (slpd)
slptool_1.2.1-11_i386.deb OpenSLP command line tool
slrn_1.0.2-4build1_i386.deb threaded text-mode news reader
slrnface_2.1.1-7_i386.deb shows X-Faces from a newsposting on an X11 terminal emulator
slrnpull_1.0.2-4build1_i386.deb pulls a small newsfeed from an NNTP server
slsh_2.3.0-2ubuntu1_i386.deb Interpreter for S-Lang language
slt_0.0.git20140301-1_i386.deb TLS reverse-proxy with SNI multiplexing (TLS virtual hosts)
sludge-compiler_2.2.1-1build2_i386.deb Compiler for SLUDGE adventure games
Advertisement
Advertisement